2017-03-30 04:41 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001696openmediavaultBugpublic2017-03-13 17:17
Reporterryecoaaron27 
Assigned Tovotdev 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionErasmus (3.x) 
Summary0001696: Failing hostname --fqdn should not cause web interface login failure
DescriptionI've seen a few reports where people have systems that fail hostname --fqdn and this prevents them from logging into the web interface.

Error #0:
exception 'OMV\ExecException' with message 'Failed to execute command 'export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin; export LANG=C; hostname --fqdn 2>&1' with exit code '1': hostname: Name or service not known' in /usr/share/php/openmediavault/system/process.inc:175
Stack trace:
#0 /usr/share/php/openmediavault/system/net/dns.inc(46): OMV\System\Process->execute(Array)
#1 /usr/share/php/openmediavault/controlpanel/controlpanelabstract.inc(212): OMV\System\Net\Dns::getFqdn()
0000002 /usr/share/php/openmediavault/controlpanel/controlpanelabstract.inc(99): OMV\ControlPanel\ControlPanelAbstract->getTitle()
0000003 /var/www/openmediavault/index.php(46): OMV\ControlPanel\ControlPanelAbstract->render()
0000004 {main}
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0004653

votdev (administrator)

Fixed in openmediavault 3.0.66, see https://github.com/openmediavault/openmediavault/commit/4821cc7dd50c242f3cd90d02c80ad539db332202.
+Notes

-Issue History
Date Modified Username Field Change
2017-03-10 17:23 ryecoaaron27 New Issue
2017-03-10 17:23 ryecoaaron27 Status new => assigned
2017-03-10 17:23 ryecoaaron27 Assigned To => votdev
2017-03-13 17:17 votdev Status assigned => resolved
2017-03-13 17:17 votdev Resolution open => fixed
2017-03-13 17:17 votdev Fixed in Version => Erasmus (3.x)
2017-03-13 17:17 votdev Note Added: 0004653
+Issue History